Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/interleave-pseudo-stop.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/interleave-pseudo-stop.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/interleave-pseudo-stop.exp
@@ -487,87 +487,76 @@
    </synapse>
   <synapse id="34" priority="1000000">
      <action_set>
-      <pseudo_event id="52" operation="stopped" operation_key="configstorecloneset_stopped_0">
+      <pseudo_event id="53" operation="stopped" operation_key="configstorecloneset_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="true" CRM_meta_timeout="20000" />
        </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <pseudo_event id="44" operation="stop" operation_key="configstoreclone:0_stop_0" internal_operation_key="configstoreclone:1_stop_0"/>
+        <pseudo_event id="45" operation="stop" operation_key="configstoreclone:0_stop_0" internal_operation_key="configstoreclone:1_stop_0"/>
        </trigger>
        <trigger>
-        <pseudo_event id="51" operation="stop" operation_key="configstorecloneset_stop_0"/>
+        <pseudo_event id="52" operation="stop" operation_key="configstorecloneset_stop_0"/>
        </trigger>
      </inputs>
    </synapse>
   <synapse id="35">
      <action_set>
-      <pseudo_event id="51" operation="stop" operation_key="configstorecloneset_stop_0">
+      <pseudo_event id="52" operation="stop" operation_key="configstorecloneset_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="true" CRM_meta_timeout="20000" />
        </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <pseudo_event id="54" operation="notified" operation_key="configstorecloneset_confirmed-pre_notify_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8"/>
        </trigger>
       <trigger>
-        <crm_event id="58" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8"/>
+        <pseudo_event id="55" operation="notified" operation_key="configstorecloneset_confirmed-pre_notify_stop_0"/>
       </trigger>
      </inputs>
    </synapse>
   <synapse id="36">
      <action_set>
-      <crm_event id="58" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8" CRM_meta_probe_complete="true" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="f6d93040-a9ad-4745-a647-57ed32444ca8"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="37">
-    <action_set>
-      <pseudo_event id="57" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="58" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
        </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <crm_event id="58" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8"/>
        </trigger>
      </inputs>
    </synapse>
-  <synapse id="38">
+  <synapse id="37">
     <action_set>
-      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="5" operation="all_stopped" operation_key="all_stopped">
         <attributes />
        </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <pseudo_event id="7" operation="stop" operation_key="stonithclone:0_stop_0" internal_operation_key="stonithclone:1_stop_0"/>
+        <pseudo_event id="8" operation="stop" operation_key="stonithclone:0_stop_0" internal_operation_key="stonithclone:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="evmsclone:0_stop_0" internal_operation_key="evmsclone:1_stop_0"/>
+        <pseudo_event id="15" operation="stop" operation_key="evmsclone:0_stop_0" internal_operation_key="evmsclone:1_stop_0"/>
        </trigger>
        <trigger>
-        <pseudo_event id="26" operation="notified" operation_key="evmscloneset_confirmed-post_notify_stopped_0"/>
+        <pseudo_event id="27" operation="notified" operation_key="evmscloneset_confirmed-post_notify_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="imagestoreclone:0_stop_0" internal_operation_key="imagestoreclone:1_stop_0"/>
+        <pseudo_event id="30" operation="stop" operation_key="imagestoreclone:0_stop_0" internal_operation_key="imagestoreclone:1_stop_0"/>
        </trigger>
        <trigger>
-        <pseudo_event id="41" operation="notified" operation_key="imagestorecloneset_confirmed-post_notify_stopped_0"/>
+        <pseudo_event id="42" operation="notified" operation_key="imagestorecloneset_confirmed-post_notify_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="44" operation="stop" operation_key="configstoreclone:0_stop_0" internal_operation_key="configstoreclone:1_stop_0"/>
+        <pseudo_event id="45" operation="stop" operation_key="configstoreclone:0_stop_0" internal_operation_key="configstoreclone:1_stop_0"/>
        </trigger>
        <trigger>
-        <pseudo_event id="56" operation="notified" operation_key="configstorecloneset_confirmed-post_notify_stopped_0"/>
+        <pseudo_event id="57" operation="notified" operation_key="configstorecloneset_confirmed-post_notify_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="57" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="58" operation="stonith_complete" operation_key="stonith_complete"/>
        </trigger>
       <trigger>
         <pseudo_event id="60" operation="notified" operation_key="evmsclone:0_notified_0" internal_operation_key="evmsclone:1_confirmed-post_notify_stonith_0"/>
@@ -580,5 +569,15 @@
       </trigger>
      </inputs>
    </synapse>
+  <synapse id="38">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="f6d93040-a9ad-4745-a647-57ed32444ca8" CRM_meta_probe_complete="true" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="f6d93040-a9ad-4745-a647-57ed32444ca8"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
  </transition_graph>
-
